;+
; NAME:
;       blv_change_selected_module.
;
; PURPOSE:
;       This procedure make all the operation necessary when the 
;		selected module change
;
; CATEGORY:
;       BLViewer.
;
; CALLING SEQUENCE:
;       blv_change_selected_module, pInfo
;
; INPUTS:
;       pInfo:    A pointer on the blviewer uValue.
;
; KEYWORD PARAMETERS:
;		None.
;
; EXAMPLE:
;
; PROCEDURE:
;
; REFERENCE:
;
; MODIFICATION HISTORY:
;       Written by CP:  ESRF, EXP, 2001
;-

pro blv_change_selected_module, pInfo

Catch, error_status
IF error_status NE 0 THEN BEGIN
   Catch, /cancel
   Message,/Info,'error caught: '+!error_state.msg
   IF SDep(/w) THEN itmp = Dialog_Message(/Error,$
        'blv_change_selected_module: error caught: '+!error_state.msg)
   RETURN
ENDIF



;deselecte all module
nb_module=(*pInfo).data.system->count()
for pos=0, nb_module-1 do begin
	module=(*pInfo).data.system->get_module(pos=pos)
	module->setProperty, selected=0
endfor
if (*pinfo).data.position eq -1 then return
module=(*pInfo).data.system->get_module(pos=(*pInfo).data.position)
module->setProperty, selected=1

if (*pInfo).wid.wModule ne (*pInfo).wid.tbl then begin
	widget_control, (*pInfo).wid.wModule, get_uvalue=info
	blv_module_control_print_property, info
endif


end
